@import '../../../../../styles/global/var';

greetings-slide {
    display: block;
}

.greetings-slide {
    padding-top: 0;

    &__content {
        display: flex;
        color: $black;

        &-wrapper {
            flex: 1 1 60%;
            margin: 118px 0 0;
            padding-right: 20px;
        }
    }

    &__image {
        height: 400px;
        margin: 72px 16px 0 auto;
        display: block;

        &-container {
            flex: 1 1 40%;
        }
    }

    &__text {
        margin-top: 16px;
        max-width: 456px;
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;

        &._greeting {
            font-weight: 700;
            font-size: 18px;
            line-height: 32px;
        }
    }

    &__list {
        padding: 0;
        margin: 0;

        &-item {
            list-style-type: none;
            padding-left: 32px;
            margin-bottom: 4px;
            position: relative;

            font-weight: 400;
            font-size: 18px;
            line-height: 32px;

            &:before {
                position: absolute;
                display: block;
                content: '';
                width: 14px;
                height: 14px;
                border-top: 3px solid $black;
                border-right: 3px solid $black;
                top: 8px;
                left: 0;
                transform: rotate(45deg);
            }
        }

        &-wrapper {
            margin-top: 80px;
        }

        &-header {
            font-weight: 700;
            font-size: 18px;
            line-height: 32px;
            margin-bottom: 16px;
        }
    }

    @media screen and (max-width: $screen-sm-min) {
        &__image {
            position: absolute;
            right: 0;
            top: 0;

            &-container {
                position: relative;
            }
        }
    }

    @media screen and (max-width: $md-screen-xs) {
        padding: 0 16px;

        &__image {
            margin: 0;
        }

        &__content {
            &-wrapper {
                margin: 0;
                padding: 0;
            }
        }

        &__text {
            font-weight: 500;
            font-size: 14px;
        }

        &__list {
            &-wrapper {
                margin-top: 40px;
            }
            &-item {
                font-size: 16px;
            }
        }
    }
}
